#ifndef __CONF_H__
#define __CONF_H__

// default address will be 192.168.4.1
// default wifi password will be "123456789"

#define VERSION "2.1.3"

#define PS3MACADDR "1a:2b:3c:04:05:06"
#define DEFPASSWD "123456789"
#define DEFNETNAME "zenamisixaxis"

// 10s timeout when trying to connect to wifi...
#define WIFI_CON_TIMEOUT_COUNTER 20

#define JSONSEQS_SIZE 4096

#define BLUELED 2

#define RESETPIN 13

#define OUTFIRE1 33
#define OUTFIRE2 14
#define OUTUP 32
#define OUTDOWN 25
#define OUTLEFT 26
#define OUTRIGHT 27

#define AMIGA5VDETECT 12

#define ANALOG_JOY_DEAD_REGION 50
#define ANALOG_JOY_MOUSE_DEAD_REGION 10
#define ANALOG_JOY_MOUSE_DIVISOR 20

#define JOY_DEF_NUMPLAYER 1
#define DEFAULT_JOY_INACTIVITY_TIMEOUT_S (5 * 60)

#endif
